import { SexEnum } from '@/enums/appEnums'
import {
    OrderStatusEnum,
    WorkOrderTypeEnum,
    InspectionOrderStatusEnum,
    DeliveryMethodEnum,
    ReceiveOrderStatusEnum,
    receiveOrderStatusMap,
    LogisticsModeEnum,
    logisticsModeMap,
    RepairOrderStatusEnum,
    InstorageTypeEnum,
    inStorageMap,
    infoCheckMap,
    InfoCheckEnum
} from '@/enums/businessEnums'

export const optionsMap = {
    sexOptions: [
        { name: '男', value: SexEnum.MALE },
        { name: '女', value: SexEnum.FEMALE }
    ],
    clientTab: [
        {
            label: '桩点检修单',
            value: WorkOrderTypeEnum.OVERHAUL
        },
        {
            label: '桩点巡检单',
            value: WorkOrderTypeEnum.INSPECTION
        },
        {
            label: '模块维修单',
            value: WorkOrderTypeEnum.REPAIR
        }
    ],
    overhaulStatusOptions: [
        { label: '待接单', value: OrderStatusEnum.WAITING },
        { label: '检测中', value: OrderStatusEnum.DETECTING },
        { label: '待确认', value: OrderStatusEnum.TOBECONFIRM },
        { label: '检修中', value: OrderStatusEnum.REPAIRING },
        { label: '已完成', value: OrderStatusEnum.COMPLETE }
    ],
    repairStatusOptions: [
        { label: '待维修', value: RepairOrderStatusEnum.TOREPAIR },
        { label: '排查中', value: RepairOrderStatusEnum.CHECKING },
        { label: '审核中', value: RepairOrderStatusEnum.INREVIEW },
        { label: '维修中', value: RepairOrderStatusEnum.REPAIRING },
        { label: '测试中', value: RepairOrderStatusEnum.TESTING },
        { label: '已完成', value: RepairOrderStatusEnum.COMPLETE }
    ],
    inspectionStatusOptions: [
        {
            label: '待接单',
            value: InspectionOrderStatusEnum.WAITING
        },
        {
            label: '待巡检',
            value: InspectionOrderStatusEnum.TOINSPECTING
        },
        {
            label: '巡检中',
            value: InspectionOrderStatusEnum.INSPECTING
        },
        {
            label: '已完成',
            value: InspectionOrderStatusEnum.COMPLETE
        }
    ],
    deliveryMethodOpt: [
        {
            label: '物流快递',
            value: DeliveryMethodEnum.LOGISTICS
        },
        {
            label: '上门取件',
            value: DeliveryMethodEnum.VISIT
        },
        {
            label: '送货上门',
            value: DeliveryMethodEnum.HOMEDILIVERY
        }
    ],
    orderPoolSearch: [
        {
            label: '离我最近',
            value: 0
        },
        {
            label: '时间优先',
            value: 1
        }
    ],
    orderTypeSelect: [
        {
            label: '检修单',
            value: WorkOrderTypeEnum.OVERHAUL
        },
        {
            label: '巡检单',
            value: WorkOrderTypeEnum.INSPECTION
        }
    ],
    taskOptions: [
        {
            label: '检修任务',
            value: WorkOrderTypeEnum.OVERHAUL
        },
        {
            label: '巡检任务',
            value: WorkOrderTypeEnum.INSPECTION
        }
    ],
    stashTypeOptions: [
        {
            label: '我的仓库',
            value: 0
        },
        {
            label: '公共仓库',
            value: 1
        }
    ],

    priorityOptions: [
        {
            label: '普通',
            value: 0
        },
        {
            label: '加急',
            value: 1
        }
    ],
    deliveryOptions: [
        {
            label: logisticsModeMap[LogisticsModeEnum.LOGISTICS],
            value: LogisticsModeEnum.LOGISTICS
        },
        {
            label: logisticsModeMap[LogisticsModeEnum.TACKBACK],
            value: LogisticsModeEnum.TACKBACK
        }
    ],
    receiveOrderStatusOptions: [
        {
            label: receiveOrderStatusMap[ReceiveOrderStatusEnum.ONLEAVE],
            value: ReceiveOrderStatusEnum.ONLEAVE
        },
        {
            label: receiveOrderStatusMap[ReceiveOrderStatusEnum.WORKING],
            value: ReceiveOrderStatusEnum.WORKING
        },
        {
            label: receiveOrderStatusMap[ReceiveOrderStatusEnum.AVALIABLE],
            value: ReceiveOrderStatusEnum.AVALIABLE
        }
    ],
    inStorageOptions: [
        {
            label: inStorageMap[InstorageTypeEnum.UNABLE],
            value: InstorageTypeEnum.UNABLE
        },
        {
            label: inStorageMap[InstorageTypeEnum.OTHER],
            value: InstorageTypeEnum.OTHER
        }
    ],
    infoCheckOptions: [
        {
            label: infoCheckMap[InfoCheckEnum.IN],
            value: InfoCheckEnum.IN
        },
        {
            label: infoCheckMap[InfoCheckEnum.RETURN],
            value: InfoCheckEnum.RETURN
        }
    ]
}
